﻿@using PagedList;
@using PagedList.Mvc;
@using DAweb.Models;
@model PagedList<DAweb.Models.POST>
    
<thead>
    <tr>
        <th>Post ID</th>
        <th>Post Name</th>
        <th>MoTaNgan</th>
        <th>MoTaBV</th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {
        foreach (var item in Model)
        {
            <tr>
                <td>@item.id</td>
                <td>@item.PostName</td>
                <td>@item.Short_Description</td>               
                <td> @Html.Raw(item.Description)</td>    
                <td width="100px">
                    @if (item.Thumbnail != null)
                    {
                        <img src="@Url.Content("~/App_Themes/AnhPost/"+item.Thumbnail)" style="width:100px" />
                    }
                </td>
                <td><a class="btn btn-default" href="@Url.Action("Edit", "PostAdmin", new { @id = item.id })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger" onclick="return confirm('Bạn có chắc muốn xóa bài viết? ');" href="@Url.Action("Xoa", "PostAdmin", new { @id = item.id })">Xóa</a></td>

            </tr>
        }
    }


</tbody>


<div class="PagerControl">

    <div class="PagerNumberArea">

        @* Tạo link liên kết các trang*@
        Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount
        <div class="MenuTrang">
            @Html.PagedListPager(Model, page => Url.Action("DanhSachPostAdmin", new { page = page }))
        </div>
        <style>
            .MenuTrang li {
                display: inline;
                background-color: #edeae9;
            }
        </style>

    </div>

</div><!-- end PagerControl -->
